/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_2019238136")

  // update collection data
  unmarshal({
    "createRule": "@request.method = \"POST\"",
    "listRule": "@request.method = \"GET\"",
    "viewRule": "@request.method = \"GET\""
  }, collection)

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_2019238136")

  // update collection data
  unmarshal({
    "createRule": null,
    "listRule": null,
    "viewRule": null
  }, collection)

  return app.save(collection)
})
